/**
 * @file
 * Attaches behaviors for the Choices module.
 */

(function (Drupal, Choices) {

  'use strict';

  Drupal.behaviors.choices = {

    /**
     * Drupal attach behavior.
     */
    attach: function (context, settings) {
      var selector = settings.choices.cssSelector || [];
      if (settings.choices.hasFacetsWidget) {
        selector.push('.js-facets-choices');
      }
      if (!selector.length) {
        return;
      }
      var elSelects = context.querySelectorAll(selector);
      for (var i = 0; i < elSelects.length; i++) {
        new Choices(elSelects[i]);
      }
    },

  }

})(Drupal, Choices);
